import { WeaTools } from 'ecCom';

// 所有账号的显示页面
const getForm = params => {
  return WeaTools.callApi('/api/integration/accountsetting/getForm', 'POST', params);
};

// 保存接口
const doSave = params => {
  return WeaTools.callApi('/api/integration/accountsetting/doSave', 'POST', params);
};

// 单个账号的显示页面
const getSysid = id => {
  return WeaTools.callApi(`/api/integration/accountsetting/${id}`, 'GET');
}

// 右键菜单
const getRightMenu = params => {
  return WeaTools.callApi('/api/integration/accountsetting/getRightMenu', 'POST', params);
}

export {
  getForm,
  doSave,
  getSysid,
  getRightMenu
}